package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.diagbot.entity.LantoneProduct;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 朗通产品表 Mapper 接口
 * </p>
 *
 * @author gaodm
 * @since 2018-09-18
 */
public interface LantoneProductMapper extends BaseMapper<LantoneProduct> {
    /**
     * @Description: 用户查询所有未开通产品
     * @Author: wangyu
     * @Date: 9:49 2018/9/18
     */
    IPage<LantoneProduct> productLine(Page page, @Param("userId") int userId);

    /**
     * @Description: 用户查询所有未开通产品
     * @Author: wangyu
     * @Date: 9:49 2018/9/18
     */
    IPage<LantoneProduct> selectProduct(Page page, @Param("name") String name );

    /**
     * @Description: 修改产品线
     * @Author: wangyu
     * @Date: 13:32 2018/9/18
     */
    LantoneProduct updateProduct(LantoneProduct diagLantoneProduct);

}
